org.restlet.engine.http.header

## Class WarningWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.StringWriter
    - - org.restlet.engine.http.header.HeaderWriter<Warning>
      - - org.restlet.engine.http.header.WarningWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

    public class WarningWriter
    extends HeaderWriter<Warning>

Warning header writer.

Author:
  Thierry Boileau

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`WarningWriter()`

### Method Summary

Methods
`WarningWriter` `append(Warning warning)` Appends a value.
`static java.lang.String` `write(java.util.List<Warning> warnings)` Writes a warning.

### Methods inherited from class org.restlet.engine.http.header.HeaderWriter

`append, append, append, append, append, append, appendComment, appendExtension, appendExtension, appendParameterSeparator, appendProduct, appendQuotedPair, appendQuotedString, appendSpace, appendToken, appendUriEncoded, appendValueSeparator, canWrite`

### Methods inherited from class java.io.StringWriter

`append, close, flush, getBuffer, toString, write, write, write, write`

### Methods inherited from class java.io.Writer

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WarningWriter

    public WarningWriter()

### Method Detail

#### write

    public static java.lang.String write(java.util.List<Warning> warnings)

Writes a warning.

Parameters:
  `warnings` - The list of warnings to format.
Returns:
  The formatted warning.

#### append

    public WarningWriter append(Warning warning)

Description copied from class: `HeaderWriter`
Appends a value.

Specified by:
  `append` in class `HeaderWriter<Warning>`
Parameters:
  `warning` - The value.
Returns:
  This writer.